export const longStrs = {
	"help": [ // Array of strings that makes up the help command, placed here to keep source code cleaner
		"```fix",
		"The Artificer Help",
		"```",
		"__**Commands:**__",
		"```",
		"[[?                  - This command",
		"[[rollhelp or [[??   - Details on how to use the roll command, listed as [[xdy...]] below",
		"[[api [subcommand]   - Administrative tools for the bots's API, run [[api help for more details",
		"[[ping               - Pings the bot to check connectivity",
		"[[info               - Prints some information and links relating to the bot",
		"[[privacy            - Prints some information about the Privacy Policy",
		"[[version            - Prints the bots version",
		"[[popcat             - Popcat",
		"[[report [text]      - Report a command that failed to run",
		"[[stats              - Statistics on the bot",
		"[[xdydzracsq!]] ...  - Rolls all configs requested, you may repeat the command multiple times in the same message (just ensure you close each roll with ]]), run [[?? for more details",
		"```"
	],
	"rollhelp": [ // Array of strings that makes up the rollhelp command, placed here to keep source code cleaner
		"```fix",
		"The Artificer Roll Command Details",
		"```",
		"```",
		"[[xdydzracsq!]] ... - Rolls all configs requested, you may repeat the command multiple times in the same message (just ensure you close each roll with ]])",
		"* x           [OPT] - number of dice to roll, if omitted, 1 is used",
		"* dy          [REQ] - size of dice to roll, d20 = 20 sided die",
		"* dz or dlz   [OPT] - drops the lowest z dice, cannot be used with kz",
		"* kz or khz   [OPT] - keeps the highest z dice, cannot be used with dz",
		"* dhz         [OPT] - drops the highest z dice, cannot be used with kz",
		"* klz         [OPT] - keeps the lowest z dice, cannot be used with dz",
		"* ra          [OPT] - rerolls any rolls that match a, r3 will reroll any dice that land on 3, throwing out old rolls",
		"* csq or cs=q [OPT] - changes crit score to q",
		"* cs<q        [OPT] - changes crit score to be less than or equal to q",
		"* cs>q        [OPT] - changes crit score to be greater than or equal to q	 ",
		"* cfq or cf=q [OPT] - changes crit fail to q",
		"* cf<q        [OPT] - changes crit fail to be less than or equal to q",
		"* cf>q        [OPT] - changes crit fail to be greater than or equal to q",
		"* !           [OPT] - exploding, rolls another dy for every crit roll",
		"*",
		"* This command also can fully solve math equations with parenthesis",
		"*",
		"* This command also has some useful flags that can used.  These flags simply need to be placed after all rolls in the message:",
		" * -nd  No Details    - Suppresses all details of the requested roll",
		" * -s   Spoiler       - Spoilers all details of the requested roll",
		" * -m   Maximize Roll - Rolls the theoretical maximum roll, cannot be used with -n",
		" * -n   Nominal Roll  - Rolls the theoretical nominal roll, cannot be used with -m",
		" * -gm @user1 @user2 @usern",
		"  *     GM Roll       - Rolls the requested roll in GM mode, suppressing all publicly shown results and details and sending the results directly to the specified GMs",
		" * -o a or -o d",
		"  *     Order Roll    - Rolls the requested roll and orders the results in the requested direction",
		"```"
	],
	"apihelp": [ // Array of strings making up the api help command, placed here to keep source code cleaner
		"The Artificer has a built in API that allows user to roll dice into Discord using third party programs.  By default, API rolls are blocked from being sent in your guild.  These commands may only be used by the Owner or Admins of your guild.",
		"",
		"For information on how to use the API, please check the GitHub README for more information: <https://github.com/Burn-E99/TheArtificer>",
		"",
		"__**Available Subcommands:**__",
		"```",
		"[[api help             - This command",
		"[[api status           - Shows the current status of the API for this guild",
		"[[api allow/enable     - Allows API Rolls to be sent to this guild",
		"[[api block/disable    - Blocks API Rolls from being sent to this guild",
		"[[api delete           - Deletes this guild from The Artificer's database",
		"```",
		"You may enable and disable the API rolls for your guild as needed."
	],
	"info": [ // Array of strings making up the info command, placed here to keep source code cleaner
		"The Artificer is a Discord bot that specializes in rolling dice and calculating math.",
		"",
		"The Artificer is developed by Ean AKA Burn_E99.",
		"",
		"Additional information can be found on my website: <https://discord.burne99.com/TheArtificer/>",
		"Want to check out my source code?  Check it out here: <https://github.com/Burn-E99/TheArtificer>",
		"Need help with this bot?  Join my support server here: https://discord.gg/peHASXMZYv"
	],
	"privacy": [ // Array of strings making up the privacy command, placed here to keep source code cleaner
		"The Artificer does not track or collect user information via Discord.",
		"The only user submitted information that is stored is submitted via the `[[report` command.  This information is only stored for a short period of time in a location that only the Developer of The Artificer can see.",
		"",
		"For more details, please check out the Privacy Policy on the GitHub: <https://github.com/Burn-E99/TheArtificer/blob/master/PRIVACY.md>"
	]
};

export default longStrs;
